// Oleg Petruny proprietary.

#pragma once

#include "Blueprint/UserWidget.h"
#include "CoreMinimal.h"

#include "InteractableHintWidget.generated.h"

UCLASS(Blueprintable)
class UInteractableHintWidget : public UUserWidget
{
    GENERATED_BODY()

public:
    UFUNCTION(BlueprintNativeEvent, BlueprintCallable)
    void Show();
    virtual void Show_Implementation() {}

    UFUNCTION(BlueprintNativeEvent, BlueprintCallable)
    void Proceed();
    virtual void Proceed_Implementation() {}
};
